Main Page Class Hierarchy Compound List File List Compound Members File Members

# WinDefAwk Class Reference

Inheritance diagram for WinDefAwk

[legend]
Collaboration diagram for WinDefAwk:

[legend]
List of all members.

## Public Methods
| WinDefAwk (const cmt_string& library_name)
void | begin ()
void | filter (const cmt_string& line)
void | end ()
## Private Attributes
cmt_string | m_name

## Constructor & Destructor Documentation

WinDefAwk::WinDefAwk ( | const cmt_string & library_name )`[inline]`

| Definition at line 2964 of file cmt_generator.cxx.
    02965     {
    02966       m_name = library_name;
    02967     }

## Member Function Documentation

void WinDefAwk::begin ( | )`[inline, virtual]`

| Reimplemented from Awk. Definition at line 2969 of file cmt_generator.cxx.
    02970     {
    02971       cout << "LIBRARY " << m_name << endl;
    02972       cout << "EXPORTS" << endl;
    02973     }

void WinDefAwk::end ( | )`[inline, virtual]`

| Reimplemented from Awk. Definition at line 2999 of file cmt_generator.cxx.
    03000     {
    03001     }

void WinDefAwk::filter ( | const cmt_string & line )`[inline, virtual]`

| Reimplemented from Awk. Definition at line 2975 of file cmt_generator.cxx.
    02976     {
    02977       if (line.find ("External") == cmt_string::npos) return;
    02978       if (line.find ("??_") != cmt_string::npos) return;
    02979
    02980       CmtSystem::cmt_string_vector words;
    02981       CmtSystem::split (line, " \t", words);
    02982       if (words.size () >= 8)
    02983         {
    02984           int pos = 7;
    02985
    02986           cmt_string& fifth_word = words[4];
    02987           if (fifth_word == "()") pos = 7;
    02988           else if (fifth_word == "External") pos = 6;
    02989           else return;
    02990
    02991           cmt_string& symbol = words[pos];
    02992           if (symbol[0] == '_') symbol.erase (0, 1);
    02993           symbol.replace_all ("\r", "");
    02994           symbol.replace_all ("\n", "");
    02995           cout << " " << symbol << (pos == 6 ? "\tDATA" : " ") << endl;
    02996         }
    02997     }

## Member Data Documentation

cmt_string WinDefAwk::m_name`[private]`

| Definition at line 3004 of file cmt_generator.cxx.

The documentation for this class was generated from the following file:

- cmt_generator.cxx